
module OpenID
	
	class ProtocolError < RuntimeError
	end
	
	class AuthenticationError < RuntimeError
	end
	
	class ValueMismatchError < RuntimeError
	end
	
	class NoArgumentsError < RuntimeError
	end
	
	class UserCancelled < RuntimeError
	end
	
	class UserSetupNeeded < RuntimeError
	end
	
	class NoOpenIDArgs < RuntimeError
	end
	
end #module OpenID